package bmsi.tui;
import java.awt.*;
import java.awt.peer.*;

class TUIMenu extends TUIMenuItem implements MenuPeer {
  /* needed in JDK1.0
  protected void initialize() {
    Menu m = (Menu)target;
    int n = m.countItems();
    for (int i = 0; i < n; ++i) {
      MenuItem item = m.getItem(i);
      if (item.getPeer() != null) {
	if (item.getLabel().equals("-"))
	  addSeparator();
	else
	  addItem(item);
      }
    }
    super.initialize();
  }
  */

  protected void create(TUIMenuComponent parent) {
    winID = toolkit.createRemotePeer(parent,NEWMENU,this);
  }

  TUIMenu(Menu m,TUIKit toolkit) { super(m,toolkit); }
  public void addItem(MenuItem i) {
    TUIMenuItem item = (TUIMenuItem)i.getPeer();
    toolkit.writeCmd(this,ADDITEM,item.winID);
  }
  public void addSeparator() {
    toolkit.writeCmd(this,ADDSEP);
  }
  public void delItem(int pos) {
    toolkit.writeCmd(this,DELITEM,pos);
  }
}
